//go:build fips

package agent

import (
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v16/internal/module/modagent"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v16/internal/module/modshared"
	"gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v16/internal/module/starboard_vulnerability"
)

type Factory struct{}

func (f *Factory) IsProducingLeaderModules() bool {
	return false
}

func (f *Factory) New(cfg *modagent.Config) (modagent.Module, error) {
	return &modagent.NopModule{
		ModuleName: starboard_vulnerability.ModuleName,
	}, nil
}

func (f *Factory) Name() string {
	return starboard_vulnerability.ModuleName
}

func (f *Factory) StartStopPhase() modshared.ModuleStartStopPhase {
	return modshared.ModuleStartBeforeServers
}
